KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFontSizeAction Class Reference

`from PyKDE4.kdeui import *`

Inherits: KSelectAction → KAction → QWidgetAction → QAction → QObject

## Detailed Description

An action to allow changing of the font size. This action will be shown as a combobox on a toolbar with a proper set of font sizes.

## Signals
| fontSizeChanged (int a0)
## Methods
| __init__ (self, QObject parent)
| __init__ (self, QString text, QObject parent)
| __init__ (self, KIcon icon, QString text, QObject parent)
| actionTriggered (self, QAction action)
int | fontSize (self)
| setFontSize (self, int size)

## Signal Documentation

fontSizeChanged | ( | int | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("fontSizeChanged(int)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

__init__ | ( | self, |
|  | QString | text,
|  | QObject | parent
| ) |  |  |

__init__ | ( | self, |
|  | KIcon | icon,
|  | QString | text,
|  | QObject | parent
| ) |  |  |

actionTriggered | ( | self, |
|  | QAction | action
| ) |  |  |

This function is called whenever an action from the selections is triggered.

int fontSize | ( |  | self ) |

setFontSize | ( | self, |
|  | int | size
| ) |  |  |